Option Strict Off
Option Explicit On
Imports fatd_faturamento.BLL.Repositorio
Imports fatd_faturamento.ENTIDADE

Friend Class frmCadastroConsumidorDataControle
    Inherits System.Windows.Forms.Form
    Private mItem As System.Windows.Forms.ListViewItem ' Objeto que controla a linha do listview
    Dim vConsId As Integer
    Dim vUnidId As Integer
    Dim vDtMovto As Date
    Dim vIdTipos As Integer
    Dim vIdVigencia As Integer
    Dim vDsTipos As String
    Dim vResp As Short


#Region "Propriedades"

    Private Sub frmCadConsumidorDataControle_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load

        Try

            If Not vfrmOld Is Nothing Then

                If UCase(vfrmOld.Name) = "FRMCADASTROCONSUMIDOR" Then

                    'vConsId = CInt(CType(vfrmOld.Controls("txtConsRegC"), Object).Text)
                    'vUnidId = CInt(CType(vfrmOld.Controls("txtUnidIDU"), Object).Text)

                    'Me.txtZona.Text = CType(vfrmOld.Controls("txtZonaU"), Object).Text
                    'Me.txtLivro.Text = CType(vfrmOld.Controls("txtLivroU"), Object).Text
                    'Me.txtConta.Text = CType(vfrmOld.Controls("txtContaU"), Object).Text
                    'Me.txtNome.Text = CType(vfrmOld.Controls("txtNomeU"), Object).Text
                    'Me.txtClasseId.Text = CType(vfrmOld.Controls("cmbClasseU"), Object).ItemData(CType(vfrmOld.Controls("cmbClasseU"), Object).ListIndex)
                    'Me.txtClasseDs.Text = CType(vfrmOld.Controls("cmbClasseU"), Object).List(CType(vfrmOld.Controls("cmbClasseU"), Object).ListIndex)
                    'Me.txtGrupo.Text = IIf(CType(vfrmOld.Controls("opbGrupoA"), Object).value, "A", "B")

                    'If Me.txtGrupo.Text = "B" Then
                    '    Me.txtTa.Text = Microsoft.VisualBasic.Left(CType(vfrmOld.Controls("cmbTarifaGrBU"), Object).List(CType(vfrmOld.Controls("cmbTarifaGrBU"), Object).ListIndex), 2)
                    'Else
                    '    Me.txtTa.Text = Microsoft.VisualBasic.Left(CType(vfrmOld.Controls("cmbTarifaGrAU"), Object).List(CType(vfrmOld.Controls("cmbTarifaGrAU"), Object).ListIndex), 2)
                    'End If

                    SetaCodigo(vUnidId, Me.txtGrupo.Text)
                    lAtualizaList(vConsId, vUnidId, Me.txtGrupo.Text, 0)

                End If

                vfrmOld.Enabled = False

            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdEncheGrade_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdEncheGrade.Click

        Try

            lAtualizaList(vConsId, vUnidId, Me.txtGrupo.Text, VB6.GetItemData(Me.cmbTipos, Me.cmbTipos.SelectedIndex))

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdAdicionaGrade_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdAdicionaGrade.Click

        Try


            If lInsert() Then

                MessageBox.Show("Unidade Consumidora Datas Controle criada com sucesso!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
                'lAtualizaList(vConsId, vUnidId, Me.txtGrupo.Text, VB6.GetItemData(Me.cmbTipos, Me.cmbTipos.SelectedIndex))
                lAtualizaList(vConsId, vUnidId, Me.txtGrupo.Text, 0)
            Else
                MessageBox.Show("Unidade Consumidora Datas Controle não pode ser criada!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try


    End Sub

    Private Sub cmdRemoveGrade_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdRemoveGrade.Click


        Dim objUnidadeConsumidoraDatasControle As New entidadeUnidadeConsumidoraDatasControle


        Try


            PreencherValoresList(lvwControleDatas.FocusedItem.Name.Trim())

            vResp = MessageBox.Show("Esta operação não possui retorno!" & vbCrLf & vbCrLf & "Tem certeza de que deseja excluir este registro?", "Confirmação de Exclusão", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question)

            If vResp = DialogResult.Yes Then

                objUnidadeConsumidoraDatasControle.GRUPO = txtGrupo.Text
                objUnidadeConsumidoraDatasControle.CONS_ID = vConsId
                objUnidadeConsumidoraDatasControle.UNID_ID = vUnidId
                objUnidadeConsumidoraDatasControle.ID_TIPOS = vIdTipos
                objUnidadeConsumidoraDatasControle.DS_TIPOS = vDsTipos
                objUnidadeConsumidoraDatasControle.ID_VIGENCIA = vIdVigencia
                objUnidadeConsumidoraDatasControle.DT_MOVTO = vDtMovto

                If Not lDelete(objUnidadeConsumidoraDatasControle) Then
                    MessageBox.Show("Unidade Consumidora Datas Controle não pode ser excluído!", "Confirmação de Exclusão", MessageBoxButtons.OK, MessageBoxIcon.Information)
                    Exit Sub
                Else
                    MessageBox.Show("Unidade Consumidora Datas Controle excluído com sucesso!", "Confirmação de Exclusão", MessageBoxButtons.OK, MessageBoxIcon.Information)
                    lAtualizaList(vConsId, vUnidId, Me.txtGrupo.Text, 0)
                End If

            ElseIf vResp = DialogResult.Cancel Then
                Exit Sub
            End If



        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdFechar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdFechar.Click

        Try

            lClose()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmCadConsumidorDataControle_FormClosed(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed

        Try
            If Not vfrmOld Is Nothing Then
                vfrmOld.Enabled = True
            End If
        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmCadConsumidorDataControle_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress

        Dim KeyAscii As Short = Asc(eventArgs.KeyChar)

        Try


            If KeyAscii = System.Windows.Forms.Keys.Escape Then
                Call cmdFechar_Click(cmdFechar, New System.EventArgs())
            ElseIf KeyAscii = System.Windows.Forms.Keys.Return Then
                TabEnter(KeyAscii, eventArgs)
            End If

            eventArgs.KeyChar = Chr(KeyAscii)

            If KeyAscii = 0 Then
                eventArgs.Handled = True
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub


#End Region

#Region "Métodos"

    Private Sub lAtualizaList(ByVal alngConsId As Integer, ByVal alngUnidId As Integer, ByVal astrGrupo As String, ByVal alngIdTipos As Integer)

        Dim objUnidadeConsumidoraDatasControle As New entidadeUnidadeConsumidoraDatasControle

        Try

            objUnidadeConsumidoraDatasControle.GRUPO = astrGrupo
            objUnidadeConsumidoraDatasControle.CONS_ID = alngConsId
            objUnidadeConsumidoraDatasControle.UNID_ID = alngUnidId
            objUnidadeConsumidoraDatasControle.ID_TIPOS = alngIdTipos

            CarregarGrid(objUnidadeConsumidoraDatasControle)

            If lvwControleDatas.Items.Count <> 0 Then

                lvwControleDatas.Focus()
                lvwControleDatas.Items.Item(0).Selected = True
                lvwControleDatas.FocusedItem = lvwControleDatas.Items.Item(0)
                lvwControleDatas.Items.Item(0).EnsureVisible()

            End If

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Public Sub PrepararListView()

        Try

            lvwControleDatas.Items.Clear()
            lvwControleDatas.Columns.Clear()
            lvwControleDatas.Columns.Add(String.Empty, "Tipos", 100)
            lvwControleDatas.Columns.Add(String.Empty, "Vigência", 50)
            lvwControleDatas.Columns.Add(String.Empty, "Data", 50)

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Public Sub CarregarGrid(ByRef objUnidadeConsumidoraDatasControle As entidadeUnidadeConsumidoraDatasControle)

        Try
            PrepararListView()
            For Each objUnidadeConsumidoraDatasControleFor As entidadeUnidadeConsumidoraDatasControle In New repositorioUnidadeConsumidoraDatasControle().Select(objUnidadeConsumidoraDatasControle)
                AddListItem(mItem, objUnidadeConsumidoraDatasControleFor)
            Next
        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Private Sub AddListItem(ByRef xItem As System.Windows.Forms.ListViewItem, ByRef objUnidadeConsumidoraDatasControle As entidadeUnidadeConsumidoraDatasControle)

        Try

            xItem = lvwControleDatas.Items.Add(objUnidadeConsumidoraDatasControle.DS_TIPOS.ToString(), objUnidadeConsumidoraDatasControle.DS_TIPOS.ToString(), String.Empty)

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.DS_VIGENCIA)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.DS_VIGENCIA)
            End If

            If (String.IsNullOrEmpty(Convert.ToString(objUnidadeConsumidoraDatasControle.DT_MOVTO))) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.DT_MOVTO)
            End If

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.ZONA)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.ZONA)
            End If

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.LIVRO)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.LIVRO)
            End If

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.CONTA)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.CONTA)
            End If

            If (String.IsNullOrEmpty(Convert.ToString(objUnidadeConsumidoraDatasControle.CONS_ID))) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.CONS_ID)
            End If

            If (String.IsNullOrEmpty(Convert.ToString(objUnidadeConsumidoraDatasControle.UNID_ID))) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.UNID_ID)
            End If

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.GRUPO)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.GRUPO)
            End If

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.TA)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.TA)
            End If

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.NOME)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.NOME)
            End If

            If (String.IsNullOrEmpty(Convert.ToString(objUnidadeConsumidoraDatasControle.ID_CLASSE))) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.ID_CLASSE)
            End If

            If (String.IsNullOrEmpty(objUnidadeConsumidoraDatasControle.DS_CLASSE)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.DS_CLASSE)
            End If

            If (String.IsNullOrEmpty(Convert.ToString(objUnidadeConsumidoraDatasControle.ID_TIPOS))) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.ID_TIPOS)
            End If

            If (String.IsNullOrEmpty(Convert.ToString(objUnidadeConsumidoraDatasControle.ID_VIGENCIA))) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objUnidadeConsumidoraDatasControle.ID_VIGENCIA)
            End If


        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Private Sub PreencherValoresList(ByRef Items As String)


        Dim Item As ListViewItem

        Try

            For Each Item In lvwControleDatas.Items

                If Item.Name = Items Then

                    vDtMovto = Convert.ToDateTime(Trim(IIf(String.IsNullOrEmpty((Item.SubItems(2).Text)), Date.Now.ToShortDateString, (Item.SubItems(2).Text))))
                    vIdTipos = Convert.ToInt64(Trim(IIf(String.IsNullOrEmpty((Item.SubItems(13).Text)), "0", (Item.SubItems(13).Text))))
                    vIdVigencia = Convert.ToInt64(Trim(IIf(String.IsNullOrEmpty((Item.SubItems(14).Text)), "0", (Item.SubItems(14).Text))))
                    vDsTipos = Convert.ToString(Trim(IIf(String.IsNullOrEmpty((Item.SubItems(0).Text)), "0", (Item.SubItems(0).Text))))

                End If


            Next

            Item = Nothing


        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Private Sub lClose()

        Try

            Close()

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Public Sub SetaParametros(ByRef frmOld As System.Windows.Forms.Form, Optional ByRef vConsReg As Integer = 0, Optional ByRef vID As Integer = 0, Optional ByRef vZona As String = "", Optional ByRef vLivro As String = "", Optional ByRef vConta As String = "", Optional ByRef vNome As String = "", Optional ByRef vClasseId As Integer = 0, Optional ByRef vClasseDes As String = "", Optional ByRef vGrupo As String = "", Optional ByRef vTarifaGrupo As String = "")

        Try

            vfrmOld = frmOld
            vfrmOld.Enabled = False

            vConsId = CInt(vConsReg)
            vUnidId = CInt(vID)
            Me.txtZona.Text = vZona
            Me.txtLivro.Text = vLivro
            Me.txtConta.Text = vConta
            Me.txtNome.Text = vNome
            Me.txtClasseId.Text = vClasseId
            Me.txtClasseDs.Text = vClasseDes
            Me.txtGrupo.Text = vGrupo
            Me.txtTa.Text = vTarifaGrupo

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Private Sub SetaCodigo(ByVal alngUnidId As Integer, ByVal astrGrupo As String)

        Dim vlist

        Dim objUCFaturamento As New entidadeUCFaturamento
        Dim repositorioUCFaturamento As New repositorioUCFaturamento

        Try

            Me.cmbTipos.Items.Clear()

            'objUCFaturamento.UNID_ID = alngUnidId
            objUCFaturamento.ID = alngUnidId

            vlist = repositorioUCFaturamento.SelectOthersTables_13(objUCFaturamento)

            If vlist.Count > 0 Then

                For Each objUCFaturamentoFor As entidadeUCFaturamento In vlist

                    If CInt(IIf(IsDBNull(objUCFaturamentoFor.MICRO_GERACAO), 0, objUCFaturamentoFor.MICRO_GERACAO)) = 1 Then
                        Me.cmbTipos.Items.Add("Micro Geração")
                        VB6.SetItemData(Me.cmbTipos, Me.cmbTipos.Items.Count - 1, 1)
                    End If

                    If CInt(IIf(IsDBNull(objUCFaturamentoFor.TARIFA_BRANCA), 0, objUCFaturamentoFor.TARIFA_BRANCA)) = 1 Then
                        Me.cmbTipos.Items.Add("Tarifa Branca")
                        VB6.SetItemData(Me.cmbTipos, Me.cmbTipos.Items.Count - 1, 2)
                    End If

                    If CInt(IIf(IsDBNull(objUCFaturamentoFor.IRRIGACAO_AQUICULTURA), 0, objUCFaturamentoFor.IRRIGACAO_AQUICULTURA)) = 1 Then
                        Me.cmbTipos.Items.Add("Irrigação/Aquicultura")
                        VB6.SetItemData(Me.cmbTipos, Me.cmbTipos.Items.Count - 1, 3)
                    End If

                    If CInt(IIf(IsDBNull(objUCFaturamentoFor.LIVREESPECIAL), 0, objUCFaturamentoFor.LIVREESPECIAL)) = 1 Then
                        Me.cmbTipos.Items.Add("Mercado Livre")
                        VB6.SetItemData(Me.cmbTipos, Me.cmbTipos.Items.Count - 1, 4)
                    End If

                    If CInt(IIf(IsDBNull(objUCFaturamentoFor.PARCIALMENTE_CATIVO), 0, objUCFaturamentoFor.PARCIALMENTE_CATIVO)) = 1 Then
                        Me.cmbTipos.Items.Add("Parcialmente Cativo")
                        VB6.SetItemData(Me.cmbTipos, Me.cmbTipos.Items.Count - 1, 5)
                    End If

                Next

            End If

            If Me.cmbTipos.Items.Count >= 0 Then
                Me.cmbTipos.SelectedIndex = 0
            End If

        Catch ex As Exception
            Exit Sub
        End Try


    End Sub

    Private Function lInsert() As Boolean

        Dim objUnidadeConsumidoraDatasControle As New entidadeUnidadeConsumidoraDatasControle
        Dim repositorioUnidadeConsumidoraDatasControle As New repositorioUnidadeConsumidoraDatasControle

        Try

            objUnidadeConsumidoraDatasControle.ID_TIPOS = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((VB6.GetItemData(Me.cmbTipos, Me.cmbTipos.SelectedIndex))), "0", VB6.GetItemData(Me.cmbTipos, Me.cmbTipos.SelectedIndex))))
            objUnidadeConsumidoraDatasControle.DS_TIPOS = Trim(IIf(String.IsNullOrEmpty((VB6.GetItemString(Me.cmbTipos, Me.cmbTipos.SelectedIndex))), " ", VB6.GetItemString(Me.cmbTipos, Me.cmbTipos.SelectedIndex)))
            objUnidadeConsumidoraDatasControle.ID_VIGENCIA = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((IIf(Me.opbInicio.Checked, 1, 2))), "0", IIf(Me.opbInicio.Checked, 1, 2))))
            objUnidadeConsumidoraDatasControle.DS_VIGENCIA = Trim(IIf(String.IsNullOrEmpty((IIf(Me.opbInicio.Checked, "Início", "Término"))), " ", IIf(Me.opbInicio.Checked, "Início", "Término")))
            objUnidadeConsumidoraDatasControle.DT_MOVTO = Convert.ToDateTime(Trim(IIf(String.IsNullOrEmpty((dtpMovto.Value)), Date.Now, dtpMovto.Value)))
            objUnidadeConsumidoraDatasControle.ZONA = Trim(IIf(String.IsNullOrEmpty((txtZona.Text)), " ", txtZona.Text))
            objUnidadeConsumidoraDatasControle.LIVRO = Trim(IIf(String.IsNullOrEmpty((txtLivro.Text)), " ", txtLivro.Text))
            objUnidadeConsumidoraDatasControle.CONTA = Trim(IIf(String.IsNullOrEmpty((txtConta.Text)), " ", txtConta.Text))
            objUnidadeConsumidoraDatasControle.CONS_ID = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((vConsId)), "0", vConsId)))
            objUnidadeConsumidoraDatasControle.UNID_ID = Convert.ToInt32(Trim(IIf(String.IsNullOrEmpty((vUnidId)), "0", vUnidId)))
            objUnidadeConsumidoraDatasControle.GRUPO = Trim(IIf(String.IsNullOrEmpty((txtGrupo.Text)), " ", txtGrupo.Text))
            objUnidadeConsumidoraDatasControle.TA = Trim(IIf(String.IsNullOrEmpty((txtTa.Text)), " ", txtTa.Text))
            objUnidadeConsumidoraDatasControle.NOME = Trim(IIf(String.IsNullOrEmpty((txtNome.Text)), " ", txtNome.Text))
            objUnidadeConsumidoraDatasControle.ID_CLASSE = Trim(IIf(String.IsNullOrEmpty((txtClasseId.Text)), " ", txtClasseId.Text))
            objUnidadeConsumidoraDatasControle.DS_CLASSE = Trim(IIf(String.IsNullOrEmpty((txtClasseDs.Text)), " ", txtClasseDs.Text))

            repositorioUnidadeConsumidoraDatasControle.Insert(objUnidadeConsumidoraDatasControle)

            Return True
        Catch ex As Exception
            Return False
        End Try

    End Function

    Private Function lDelete(ByRef objUnidadeConsumidoraDatasControle As entidadeUnidadeConsumidoraDatasControle) As Boolean
        Dim repositorioUnidadeConsumidoraDatasControle As New repositorioUnidadeConsumidoraDatasControle
        Try

            repositorioUnidadeConsumidoraDatasControle.Delete(objUnidadeConsumidoraDatasControle)

            Return True
        Catch ex As Exception
            Return False
        End Try
    End Function

#End Region

End Class